-Version 0.13.8 (20??-??-??)
+Version 0.13.7.2 (2014-07-27)
-----------------------------
+- Included man page into dist, respect users CXXFLAGS.
Version 0.13.7.1 (2014-07-26)
-----------------------------
#define PACKAGE_NAME "re2c"
/* Define to the full name and version of this package. */
-#define PACKAGE_STRING "re2c 0.13.8.dev"
+#define PACKAGE_STRING "re2c 0.13.7.2"
/* Define to the one symbol short name of this package. */
#define PACKAGE_TARNAME "re2c"
/* Define to the version of this package. */
-#define PACKAGE_VERSION "0.13.8.dev"
+#define PACKAGE_VERSION "0.13.7.2"
/* The size of a `char', as computed by sizeof. */
#define SIZEOF_CHAR 1
#define STDC_HEADERS 1
/* Version number of package */
-#define VERSION "0.13.8.dev"
+#define VERSION "0.13.7.2"
/* Define to empty if `const' does not conform to ANSI C. */
/* #undef const */
AC_PREREQ([2.57])
-AC_INIT(re2c, 0.13.8.dev, re2c-general@lists.sourceforge.net)
+AC_INIT(re2c, 0.13.7.2, re2c-general@lists.sourceforge.net)
AM_INIT_AUTOMAKE(re2c, $PACKAGE_VERSION)
AC_CONFIG_SRCDIR(actions.cc)
AM_CONFIG_HEADER(config.h)
</ul>
<hr />
<h1>Changelog</h1>
- <h2>20??-??-?: 0.13.8</h2>
+ <h2>2014-07-27: 0.13.7.2</h2>
+ <li>Included man page into dist, respect users CXXFLAGS.</li>
<h2>2014-07-26: 0.13.7.1</h2>
<li>Added missing files to tarball</li>
<h2>2014-07-25: 0.13.7</h2>
a2x -f manpage re2c.ad
# generate htdocs/manual.html from re2c.ad
+mkdir -p htdocs
asciidoc -o htdocs/manual.html re2c.ad
-#!/bin/sh -e
+#!/bin/bash
+
+set -e
if [ $# -ne 1 ]
then
# edit version in configure.in
lcontext="AC_INIT\(re2c, "
rcontext=", re2c-general@lists\.sourceforge\.net\)"
-old="[0-9]+(\.[0-9]+)*"
+old="[0-9]+(\.[0-9]+)*(\.dev)?"
new=$version
sed -i -E "s/$lcontext$old$rcontext/$lcontext$new$rcontext/" configure.in
./autogen.sh
./configure
make clean
-make tests -j5
-make zip dist docs
+make -j5
+make tests
+make zip dist
# dist-check
tmpdir=` date +"%Y%m%d%H%M%S%N"`
gunzip re2c-$version.tar.gz
tar -x -f re2c-$version.tar
cd re2c-$version
-./configure && make -j5 && make tests
+./configure
+make -j5
+make tests
cd ../..
rm -r $tmpdir